---
title: Integrations
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Integrations
---

# Integrations

The Integrations API is used to list available integrations and retrieve information about their installation status.

## List Integrations{% #list-integrations %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integrations |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integrations |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integrations      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integrations      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integrations  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integrations     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integrations |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integrations |

### Overview



### Response

{% tab title="200" %}
Successful Response.
{% tab title="Model" %}
Response containing information about multiple integrations.

| Parent field | Field                         | Type     | Description                                                   |
| ------------ | ----------------------------- | -------- | ------------------------------------------------------------- |
|              | data [*required*]        | [object] | Array of integration objects.                                 |
| data         | attributes [*required*]  | object   | Attributes for an integration.                                |
| attributes   | categories [*required*]  | [string] | List of categories associated with the integration.           |
| attributes   | description [*required*] | string   | A description of the integration.                             |
| attributes   | installed [*required*]   | boolean  | Whether the integration is installed.                         |
| attributes   | title [*required*]       | string   | The name of the integration.                                  |
| data         | id [*required*]          | string   | The unique identifier of the integration.                     |
| data         | links                         | object   | Links for the integration resource.                           |
| links        | self                          | string   | Link to the integration resource.                             |
| data         | type [*required*]        | enum     | Integration resource type. Allowed enum values: `integration` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "categories": [
          "Category::Kubernetes",
          "Category::Log Collection"
        ],
        "description": "Calico is a networking and network security solution for containers.",
        "installed": true,
        "title": "calico"
      },
      "id": "calico",
      "links": {
        "self": "/integrations?integrationId=calico"
      },
      "type": "integration"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integrations" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List Integrations returns "Successful Response." response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.integrations_api import IntegrationsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = IntegrationsApi(api_client)
    response = api_instance.list_integrations()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List Integrations returns "Successful Response." response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::IntegrationsAPI.new
p api_instance.list_integrations()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List Integrations returns "Successful Response." response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewIntegrationsApi(apiClient)
	resp, r, err := api.ListIntegrations(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `IntegrationsApi.ListIntegrations`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `IntegrationsApi.ListIntegrations`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List Integrations returns "Successful Response." response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.IntegrationsApi;
import com.datadog.api.client.v2.model.ListIntegrationsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    IntegrationsApi apiInstance = new IntegrationsApi(defaultClient);

    try {
      ListIntegrationsResponse result = apiInstance.listIntegrations();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling IntegrationsApi#listIntegrations");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List Integrations returns "Successful Response." response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_integrations::IntegrationsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = IntegrationsAPI::with_config(configuration);
    let resp = api.list_integrations().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List Integrations returns "Successful Response." response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.IntegrationsApi(configuration);

apiInstance
  .listIntegrations()
  .then((data: v2.ListIntegrationsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
